Bug 1292908 - [abrt] fish: _IO_wfile_xsputn(): fish killed by SIGSEGV
[abrt] fish: _IO_wfile_xsputn(): fish killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fish (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Lutomirski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4aedeab282d3ad6420e96a67387...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 12:14 EST by Raman Gupta
Modified: 2016-07-27 15:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: fish-2.3.1-1.fc24 fish-2.3.1-1.fc23 fish-2.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-12 11:03:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.37 KB, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: cgroup (284 bytes, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: core_backtrace (2.29 KB, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: dso_list (1.16 KB, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: environ (4.35 KB, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: maps (5.70 KB, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: mountinfo (4.53 KB, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: open_fds (347 bytes, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details
File: var_log_messages (286 bytes, text/plain)
2015-12-18 12:14 EST, Raman Gupta
no flags Details

  None (edit)
Description Raman Gupta 2015-12-18 12:14:40 EST
Version-Release number of selected component:
fish-2.2.0-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        fish
crash_function: _IO_wfile_xsputn
executable:     /usr/bin/fish
global_pid:     12829
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 _IO_wfile_xsputn at wfileops.c:1027
 #1 _IO_vfwprintf at vfprintf.c:1631
 #2 __fwprintf_chk at fwprintf_chk.c:35
 #3 fwprintf at /usr/include/bits/wchar2.h:348
 #4 job_reap at proc.cpp:791
 #5 reader_run_command at reader.cpp:2550
 #6 read_i at reader.cpp:2999
 #7 reader_read at reader.cpp:4335

Potential duplicate: bug 1161130
Comment 1 Raman Gupta 2015-12-18 12:14:45 EST
Created attachment 1107263 [details]
File: backtrace
Comment 2 Raman Gupta 2015-12-18 12:14:46 EST
Created attachment 1107264 [details]
File: cgroup
Comment 3 Raman Gupta 2015-12-18 12:14:47 EST
Created attachment 1107265 [details]
File: core_backtrace
Comment 4 Raman Gupta 2015-12-18 12:14:48 EST
Created attachment 1107266 [details]
File: dso_list
Comment 5 Raman Gupta 2015-12-18 12:14:49 EST
Created attachment 1107267 [details]
File: environ
Comment 6 Raman Gupta 2015-12-18 12:14:50 EST
Created attachment 1107268 [details]
File: exploitable
Comment 7 Raman Gupta 2015-12-18 12:14:51 EST
Created attachment 1107269 [details]
File: limits
Comment 8 Raman Gupta 2015-12-18 12:14:52 EST
Created attachment 1107270 [details]
File: maps
Comment 9 Raman Gupta 2015-12-18 12:14:53 EST
Created attachment 1107271 [details]
File: mountinfo
Comment 10 Raman Gupta 2015-12-18 12:14:54 EST
Created attachment 1107272 [details]
File: namespaces
Comment 11 Raman Gupta 2015-12-18 12:14:55 EST
Created attachment 1107273 [details]
File: open_fds
Comment 12 Raman Gupta 2015-12-18 12:14:56 EST
Created attachment 1107274 [details]
File: proc_pid_status
Comment 13 Raman Gupta 2015-12-18 12:14:57 EST
Created attachment 1107275 [details]
File: var_log_messages
Comment 14 Fedora Update System 2016-07-07 10:12:39 EDT
fish-2.3.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f400b76b0a
Comment 15 Fedora Update System 2016-07-07 10:13:15 EDT
fish-2.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f524170748
Comment 16 Fedora Update System 2016-07-07 10:13:47 EDT
fish-2.3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-11c320ee6c
Comment 17 Fedora Update System 2016-07-09 23:18:29 EDT
fish-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f400b76b0a
Comment 18 Fedora Update System 2016-07-09 23:53:19 EDT
fish-2.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f524170748
Comment 19 Fedora Update System 2016-07-10 11:59:00 EDT
fish-2.3.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-11c320ee6c
Comment 20 Fedora Update System 2016-07-12 11:02:43 EDT
fish-2.3.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-07-19 18:23:41 EDT
fish-2.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-07-27 15:17:45 EDT
fish-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.